=== debian/changelog ===
martchus-qtforkawesome (0.0.3-2) unstable; urgency=medium

  * Require fonts-fork-awesome (>= 1.1.5+ds1-2.1~) to prevent FTBFS when
    backporting.
  * Use unversioned libmartchus-c++utilities-dev and
    libmartchus-qtutilities-dev.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 04 May 2022 16:11:55 -0400

martchus-qtforkawesome (0.0.3-1) unstable; urgency=medium

  [ Hannah Rittich and Nicholas D Steeves ]
  * Initial release. Closes: #1008958

 -- Nicholas D Steeves <sten@debian.org>  Sun, 01 May 2022 15:55:48 -0400
