=== debian/control ===
Source: martchus-qtforkawesome
Section: libs
Priority: optional
Maintainer: Hannah Rittich <void@rittich.net>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libmartchus-c++utilities-dev,
 libmartchus-qtutilities-dev,
 qtdeclarative5-dev,
 qttranslations5-l10n,
 doxygen,
 libyaml-perl,
 fonts-fork-awesome (>= 1.1.5+ds1-2.1~)
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/Martchus/qtforkawesome
Vcs-Browser: https://salsa.debian.org/debian/martchus-qtforkawesome
Vcs-Git: https://salsa.debian.org/debian/martchus-qtforkawesome.git

Package: libmartchus-qtforkawesome0.0.3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ library that conveniently enables the use of Fork Awesome in Qt
 Qt ForkAwesome is a C++ library that conveniently enables the use of Fork
 Awesome in Qt applications.  Qt ForkAwesome enumerates and encodes Fork
 Awesome as Qt resources, it provides an 'enum' of the icon-font definitions,
 and it enables font glyphs to be used in cases where Qt requires traditional
 icons.  Qt ForkAwesome uses FreeType to render, hint, and antialias
 icon-fonts.
 .
 Refer to the description of fonts-fork-awesome for more information about
 icon-fonts.

Package: libmartchus-qtforkawesome-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, libmartchus-qtforkawesome0.0.3 (= ${binary:Version}),
 libmartchus-c++utilities-dev, libmartchus-qtutilities-dev
Description: library that conveniently enables the use of Fork Awesome in Qt (headers)
 Qt ForkAwesome is a C++ library that conveniently enables the use of Fork
 Awesome in Qt applications.  Qt ForkAwesome enumerates and encodes Fork
 Awesome as Qt resources, it provides an 'enum' of the icon-font definitions,
 and it enables font glyphs to be used in cases where Qt requires traditional
 icons.  Qt ForkAwesome uses FreeType to render, hint, and antialias
 icon-fonts.
 .
 Refer to the description of fonts-fork-awesome for more information about
 icon-fonts.
 .
 This is the development package of libmartchus-qtforkawesome.  Please note
 that, at this time, Qt ForkAwesome's ABI changes with every release.
