=== debian/watch ===
version=4
https://github.com/Martchus/qtforkawesome/releases /Martchus/qtforkawesome/archive/refs/tags/v(.+)\.tar\.gz
