## martchus-qtforkawesome 0.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,10 @@
 set(META_APP_AUTHOR "Martchus")
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_VERSION_MAJOR 0)
-set(META_VERSION_MINOR 0)
-set(META_VERSION_PATCH 3)
+set(META_VERSION_MINOR 1)
+set(META_VERSION_PATCH 0)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
-set(META_VERSION_EXACT_SONAME ON) # while still on 0.x.x release
+set(META_SOVERSION 1)
 set(META_PUBLIC_QT_MODULES Core Gui)
 set(META_ADD_DEFAULT_CPP_UNIT_TEST_APPLICATION OFF)
