=== debian/changelog ===
martchus-qtforkawesome (0.1.0-2.1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:40:04 +0000

martchus-qtforkawesome (0.1.0-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:04:16 +0000

martchus-qtforkawesome (0.1.0-2.1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:53:33 +0000

martchus-qtforkawesome (0.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062844

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 11:13:24 +0000

martchus-qtforkawesome (0.1.0-2) unstable; urgency=medium

  * Update required dependencies.
  * Drop Hannah Rittich, who has been MIA for two years, from Uploaders.
  * Update my copyright years.
  * Update standards version to 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 16 Jan 2024 18:56:15 -0500

martchus-qtforkawesome (0.1.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Add Breaks and Replaces, because file path conflicts cannot ever be
    resolved with a transition; filing for a formal transition does not invoke
    magic that can solve this case.  Documentation on transitions has been
    updated to reflect this (Closes: #1024637).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 08 Dec 2022 14:20:39 -0500

martchus-qtforkawesome (0.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename libmartchus-qtforkawesome0.0.3 to
    libmartchus-qtforkawesome1 for ABI bump.
  * Drop patches that were merged upstream:
    0001-Clarify-that-license-is-GPL-2-or-later.patch
    0002-Add-copyright-notice.patch.
  * Fix watch file, because Github broke the releases mechanism.
  * Remove unused source/local-options.
  * Declare Standards-Version 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 21 Nov 2022 11:18:29 -0500

martchus-qtforkawesome (0.0.3-5) unstable; urgency=medium

  * Swap Uploader and Maintainer.  Hannah Rittich has been MIA since December
    2021.  This action will be reverted upon confirmation of intent to
    maintain martchus-qtforkawesome.
  * Require libmartchus-c++utilities-dev (>= 5.19.0-1~), as well as
    libmartchus-qtutilities-dev (>= 6.8.0-1~) to keep deps in lockstep

 -- Nicholas D Steeves <sten@debian.org>  Thu, 22 Sep 2022 17:40:11 -0400

martchus-qtforkawesome (0.0.3-4) unstable; urgency=medium

  * Rebuild with the latest libmartchus-c++utilities-dev and
    libmartchus-qtutilities-dev, and enforce this using Build-Depends.
    This action does not revert the unversioning in 0.0.3 (ie:
    libmartchus-c++utilities5-dev -> libmartchus-c++utilities-dev).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 19 Aug 2022 19:48:00 -0400

martchus-qtforkawesome (0.0.3-3) unstable; urgency=medium

  * Do source-only upload.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 14 May 2022 18:12:29 -0400
