=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: martchus-qtforkawesome
 Section: libs
 Priority: optional
-Maintainer: Hannah Rittich <void@rittich.net>
-Uploaders: Nicholas D Steeves <sten@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicholas D Steeves <sten@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  cmake,
- libmartchus-c++utilities-dev,
- libmartchus-qtutilities-dev,
+ libmartchus-c++utilities-dev (>= 5.24.5-1~),
+ libmartchus-qtutilities-dev (>= 6.13.4-1~),
  qtdeclarative5-dev,
  qttranslations5-l10n,
  doxygen,
  libyaml-perl,
  fonts-fork-awesome (>= 1.1.5+ds1-2.1~)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/Martchus/qtforkawesome
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtforkawesome
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtforkawesome.git
 
-Package: libmartchus-qtforkawesome0.0.3
+Package: libmartchus-qtforkawesome1t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libmartchus-qtforkawesome1 (<< ${source:Version}), libmartchus-qtforkawesome0.0.3
+Replaces: libmartchus-qtforkawesome1, libmartchus-qtforkawesome0.0.3
 Description: C++ library that conveniently enables the use of Fork Awesome in Qt
  Qt ForkAwesome is a C++ library that conveniently enables the use of Fork
  Awesome in Qt applications.  Qt ForkAwesome enumerates and encodes Fork
@@ -37,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Depends: ${misc:Depends}, libmartchus-qtforkawesome0.0.3 (= ${binary:Version}),
+Depends: ${misc:Depends}, libmartchus-qtforkawesome1t64 (= ${binary:Version}),
  libmartchus-c++utilities-dev, libmartchus-qtutilities-dev
 Description: library that conveniently enables the use of Fork Awesome in Qt (headers)
  Qt ForkAwesome is a C++ library that conveniently enables the use of Fork
