=== debian/rules ===
#!/usr/bin/make -f
BUILD_DIR=debian/build

%:
	dh $@ --builddirectory=$(BUILD_DIR)

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(BUILD_DIR) -- \
		-DBUILD_SHARED_LIBS=ON \
		-DNAMESPACE=martchus \
		-DPACKAGE_NAMESPACE=martchus \
		-DFORK_AWESOME_FONT_FILE=/usr/share/fonts/woff/fork-awesome/forkawesome-webfont.woff2 \
		-DFORK_AWESOME_ICON_DEFINITIONS=/usr/share/fonts-fork-awesome/icons.yml

override_dh_auto_test:
	QT_QPA_PLATFORM=offscreen $(MAKE) -C $(BUILD_DIR) check
