=== qtforkawesome/CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,10 @@
         get_filename_component(FILE_NAME "${${VARIABLE}}" NAME)
         if (NOT EXISTS "${DOWNLOAD_DIR}/${FILE_NAME}")
             message(STATUS "Downloading ${${VARIABLE}}")
-            file(DOWNLOAD "${${VARIABLE}}" "${DOWNLOAD_DIR}/${FILE_NAME}" SHOW_PROGRESS)
+            file(
+                DOWNLOAD "${${VARIABLE}}" "${DOWNLOAD_DIR}/${FILE_NAME}"
+                SHOW_PROGRESS
+                TLS_VERIFY ON)
         endif ()
         set("${VARIABLE}"
             "${DOWNLOAD_DIR}/${FILE_NAME}"
@@ -52,6 +55,10 @@
 set(RES_FILE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${META_PROJECT_NAME}_font.qrc")
 set(RES_FILE_DATA "<RCC><qresource prefix=\"/\"><file>${META_FONT_FILE_NAME}</file></qresource></RCC>")
 if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.14")
+    if (CMAKE_HOST_SYSTEM_NAME STREQUAL "Windows" AND EXISTS "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+        # avoid running into error when symlink already exists (should not be necassary according to docs)
+        file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+    endif ()
     file(CREATE_LINK "${FORK_AWESOME_FONT_FILE}" "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}" SYMBOLIC)
 else ()
     file(COPY "${FORK_AWESOME_FONT_FILE}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
@@ -60,7 +67,10 @@
 list(APPEND RES_FILES "${RES_FILE_PATH}")
 
 # create rule for generating header file
-find_program(PERL perl)
+find_program(PERL_BIN perl)
+if (NOT PERL_BIN)
+    message(FATAL_ERROR "Unable to find Perl, set PERL_BIN to the path of Perl's executable.")
+endif ()
 set(GENERATED_HEADERS_PATH "${CMAKE_CURRENT_BINARY_DIR}/headers")
 set(ICONS_HEADER_FILE "${GENERATED_HEADERS_PATH}/private/icons.h")
 set(ID_MAPPING_HEADER_FILE "${GENERATED_HEADERS_PATH}/private/idmapping.h")
@@ -69,7 +79,7 @@
 set(META_TIDY_EXCLUDE_REGEX ".*/headers/private.*")
 add_custom_command(
     OUTPUT "${ICONS_HEADER_FILE}" "${ID_MAPPING_HEADER_FILE}"
-    COMMAND "${PERL}" "${CMAKE_CURRENT_SOURCE_DIR}/scripts/yaml2enum.pl" "${FORK_AWESOME_ICON_DEFINITIONS}"
+    COMMAND "${PERL_BIN}" "${CMAKE_CURRENT_SOURCE_DIR}/scripts/yaml2enum.pl" "${FORK_AWESOME_ICON_DEFINITIONS}"
             "${ICONS_HEADER_FILE}" "${ID_MAPPING_HEADER_FILE}"
     DEPENDS "${FORK_AWESOME_ICON_DEFINITIONS}"
     COMMENT "Icon header")
