=== debian/changelog ===
martchus-qtforkawesome (0.2.0-2) unstable; urgency=medium

  * Update required dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 21 Jun 2024 22:09:49 -0400

martchus-qtforkawesome (0.2.0-1) unstable; urgency=medium

  * Acknowledge NMU.
  * New upstream release.
  * Update required dependencies.
  * Update standards version to 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 06 May 2024 20:33:45 -0400
