=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: martchus-qtforkawesome
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicholas D Steeves <sten@debian.org>
+Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  cmake,
- libmartchus-c++utilities-dev (>= 5.24.5-1~),
- libmartchus-qtutilities-dev (>= 6.13.4-1~),
+ libmartchus-c++utilities-dev (>= 5.24.9-1~),
+ libmartchus-qtutilities-dev (>= 6.14.1-1~),
  qtdeclarative5-dev,
  qttranslations5-l10n,
  doxygen,
  libyaml-perl,
  fonts-fork-awesome (>= 1.1.5+ds1-2.1~)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Martchus/qtforkawesome
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtforkawesome
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtforkawesome.git
