## martchus-qtforkawesome 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 set(META_APP_AUTHOR "Martchus")
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_VERSION_MAJOR 0)
-set(META_VERSION_MINOR 2)
-set(META_VERSION_PATCH 0)
+set(META_VERSION_MINOR 3)
+set(META_VERSION_PATCH 1)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 set(META_SOVERSION 1)
 set(META_PUBLIC_QT_MODULES Core Gui)
