=== qtforkawesome/CMakeLists.txt ===
--- 
+++ 
@@ -53,17 +53,22 @@
     "#define META_FONT_FILE_NAME \"${META_FONT_FILE_NAME}\"\n#define META_FORK_AWESOME_VERSION \"${FORK_AWESOME_VERSION}\"\n"
 )
 set(RES_FILE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${META_PROJECT_NAME}_font.qrc")
-set(RES_FILE_DATA "<RCC><qresource prefix=\"/\"><file>${META_FONT_FILE_NAME}</file></qresource></RCC>")
-if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.14")
-    if (CMAKE_HOST_SYSTEM_NAME STREQUAL "Windows" AND EXISTS "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
-        # avoid running into error when symlink already exists (should not be necassary according to docs)
-        file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+if (EXISTS "${RES_FILE_PATH}")
+    message(STATUS "Using existing \"${RES_FILE_PATH}\" for ${META_PROJECT_NAME}. "
+                   "Remove this file to force re-generation of the resource file.")
+else ()
+    set(RES_FILE_DATA "<RCC><qresource prefix=\"/\"><file>${META_FONT_FILE_NAME}</file></qresource></RCC>")
+    if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.14")
+        if (CMAKE_HOST_SYSTEM_NAME STREQUAL "Windows" AND EXISTS "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+            # avoid running into error when symlink already exists (should not be necassary according to docs)
+            file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+        endif ()
+        file(CREATE_LINK "${FORK_AWESOME_FONT_FILE}" "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}" SYMBOLIC)
+    else ()
+        file(COPY "${FORK_AWESOME_FONT_FILE}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
     endif ()
-    file(CREATE_LINK "${FORK_AWESOME_FONT_FILE}" "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}" SYMBOLIC)
-else ()
-    file(COPY "${FORK_AWESOME_FONT_FILE}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
+    file(WRITE "${RES_FILE_PATH}" "${RES_FILE_DATA}")
 endif ()
-file(WRITE "${RES_FILE_PATH}" "${RES_FILE_DATA}")
 list(APPEND RES_FILES "${RES_FILE_PATH}")
 
 # create rule for generating header file
