=== debian/changelog ===
martchus-qtforkawesome (0.3.1-2) unstable; urgency=medium

  * Rebuild with latest dependencies.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Resolve lintian W: old-fsf-address-in-copyright-file by referring to
    GNU's website.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 21:35:30 -0400

martchus-qtforkawesome (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Migrate to Qt6.
  * Update standards version to 4.7.2 (no changes required).
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 14 Mar 2025 10:46:50 -0600

martchus-qtforkawesome (0.2.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update required dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 19 Nov 2024 16:52:11 -0500
