=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  cmake,
- libmartchus-c++utilities-dev (>= 5.24.9-1~),
- libmartchus-qtutilities-dev (>= 6.14.1-1~),
- qtdeclarative5-dev,
- qttranslations5-l10n,
+ libmartchus-c++utilities-dev (>= 5.28.0-1~),
+ libmartchus-qtutilities-dev (>= 6.15.0-1~),
+ qt6-declarative-dev,
+ qt6-translations-l10n,
  doxygen,
  libyaml-perl,
  fonts-fork-awesome (>= 1.1.5+ds1-2.1~)
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Martchus/qtforkawesome
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtforkawesome
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtforkawesome.git
