=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 		-DBUILD_SHARED_LIBS=ON \
 		-DNAMESPACE=martchus \
 		-DPACKAGE_NAMESPACE=martchus \
+		-DQT_PACKAGE_PREFIX=Qt6 \
 		-DFORK_AWESOME_FONT_FILE=/usr/share/fonts/woff/fork-awesome/forkawesome-webfont.woff2 \
 		-DFORK_AWESOME_ICON_DEFINITIONS=/usr/share/fonts-fork-awesome/icons.yml
